* Encoding: windows-1252.
/*********************************************************************************************************/
/*                                                                                                                                                                           */
/* This SPSS program will extract the United States Sentencing Commission's Organizational     */
/*  Sentencing Guidelines: Thirty Years of Innovation and Influence report file and create                */
/*  a SPSS dataset.                                                                                                                                           */
/*                                                                                                                                                                           */
/* Prior to running the program you must update the DAT file location in the                                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your                           */
/* computer.                                                                                                                                                       */
/*                                                                                                                                                                          */
/* You must also update the file output location in the SAVE OUTFILE statement at the                  */
/* end of the program to correspond to the folder you want the output file to be located.                  */
/*                                                                                                                                                                          */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\USSC_Org_Report_Public_2022.dat" ENCODING="CP1252" / LRECL=270 .

DATA LIST FILE=DATA/
   FISCALYR 1-8             BUSINESS 9-16            INCORLOC 17-24        
   EMPLOYNM 25-32           OWNSTRCT 33-40           OWNERSHIP 41-48       
   PRIMOFF_R 49-56          NEWCNVTN 57-61           FINEDUM 62-69         
   RESTDUM 70-77            FINERESTDUM 78-85        FORFEITR 86-94        
   FORDUM 95-102            PROBATN 103-110          PROBDUM 111-118       
   CANTPAY_R 119-126        FINSTDS 127-134          CH8DUM 135-142        
   ORDERCE 143-150          COMPLYPR 151-158         INDIVID_PRES 159-166  
   COMPLY_R 167-174         TOLERNCE 175-182         TOLERDUM 183-190      
   VIOLATE 191-198          VIOLDUM 199-206          CRIMPURP 207-214      
   HSMISCND 215-222         HISTORY 223-230          HISTDUM 231-238       
   OBSTRUCT 239-246         OBSTRDUM 247-254         ACCEPT 255-262        
   ACCEPDUM 263-270 .    

VARIABLE LABELS
   INCORLOC 'INCORLOC'
   ORDERCE 'ORDERCE'
.

SAVE OUTFILE='.\USSC_Org_Report_Public_2022.sav'.
